var app = require('electron').app;
var BrowserWindow = require('electron').BrowserWindow;
var mainWindow = null;

app.on('window-all-closed', function() {
  app.quit();
});

app.on('ready', function(){
  mainWindow = new BrowserWindow({width: 1280, height: 1024, webPreferences: {nodeIntegration: true}});
	mainWindow.setMenu(null);
	mainWindow.loadURL('file://' + __dirname + '/index.html');
	//mainWindow.openDevTools();
	mainWindow.on('closed', function() {mainWindow = null;});

	mainWindow.webContents.on('new-window', function(e, url) {
	  e.preventDefault();
	  require('electron').shell.openExternal(url);
	});
});
